import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Prevents child class player from getting stuck if it intersects with
 * another class
 * 
 * @author unknown
 * @version (a version number or a date)
 */
public class Mover  extends Actor
{
    /**
     * touches - checks to see if the actor is colliding 
     * with another class
     * 
     * @param clss -  takes a class as a parameter to determine
     * if player (which inherits from this class) is "touching" it
     */
    public boolean touches (Class clss)
    {
        Actor actor = getOneIntersectingObject(clss);
        actor = getOneIntersectingObject(clss);
        return actor != null;
    }
    
    /**
     * remove - checks to see if the actor is colliding
     * with another class
     * 
     * @param clss - takes a class as a parameter to determine
     * if player (which inherits from this class) is "touching" it
     */
    public void remove (Class clss)
    {
        Actor actor = getOneIntersectingObject(clss);
        if(actor != null)
        {
            getWorld().removeObject(actor);
        }
    }
    
    /**
     * Act - do whatever the Mover wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    }    
}
