import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;
/**
 * Displays final score after player wins the game
 * 
 * @author Priya, Alex, Venkata
 * @version 1.0
 */
public class endScore  extends Actor
{
    private myWorld mworld;
    private static final Color textColor = new Color(255, 165, 0);
    Font font = new Font ("Serif", 1, 40);
    int x = 0;

    /**
     * addedToWorld - allows class to access world variables
     */
    public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
    } // end addedToWorld
    
    /**
     * endScore - class constructor. Sets up display image
     */
    public endScore()
    {
        GreenfootImage img = new GreenfootImage(100, 100);    
        img.setFont(font);
        img.setColor(textColor);
        setImage(img);  
    }

    /**
     * Act - do whatever the endScore wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        x = mworld.getBackupScore();
        GreenfootImage img = getImage();
        img.drawString("" + x, 0, 40);
    }      
}
