import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This class is to set up level 3 of the game
 * 
 * @author Priya, Alex, Venkata
 * @version 1.0
 */
public class level3  extends levels
{
    private myWorld mworld;
    private GreenfootImage bg;
    private GreenfootImage book;
 
    /**
     * level3 - class constructor
     */
    public level3()
    {
        bg = new GreenfootImage("beach.png");        
        book = new GreenfootImage("foundBook2.png");
    }
    
    /**
     * addedToWorld - allows class to access world variables
     * Also sets default background image immedately upon being added
     * to the world
     */
     public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
        if (mworld.level == 3)
        {
            mworld.setBackground(book);
            Greenfoot.delay(150);
            mworld.setBackground(bg);
        }
        getImage().setTransparency(0);
    }
    
    /**
     * Act - do whatever the level3 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        
    }    
}
