import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Displays a "you lose" background when the player loses
 * 
 * @author Priya, Alex, Venkata
 * @version 1.0
 */
public class lose  extends levels
{
    private myWorld mworld;
    private GreenfootImage bg;
 
    /**
     * lose - class constructor
     */
    public lose()
    {
        bg = new GreenfootImage("gameOver.png");        
    }
    
    /**
     * addedToWorld - allows class to access world variables
     */
    public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
        if (mworld.level == 97)
        {
            mworld.setBackground(bg);
        }
        getImage().setTransparency(0);
    }
    
    /**
     * Act - do whatever the lose wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     * Also, stops Greenfoot entirely
     */
    public void act() 
    {
        Greenfoot.stop();
    } 
}
