import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;
import java.lang.*;
/**
 * Disiplays a question for the current puzzle in each level
 * 
 * @author Priya, Alex, Venkata
 * @version 1.0
 */
public class puzzle  extends Actor
{
    private myWorld mworld;    
    
    GreenfootImage img0 = new GreenfootImage(1, 1); // default
    
    // level 1
    GreenfootImage img1_1 = new GreenfootImage(150, 50); 
    GreenfootImage img1_2 = new GreenfootImage(150, 50); 
    GreenfootImage img1_3 = new GreenfootImage(150, 50); 
    
    // level 2
    GreenfootImage img2_1 = new GreenfootImage(150, 50); 
    GreenfootImage img2_2 = new GreenfootImage(150, 50); 
    GreenfootImage img2_3 = new GreenfootImage(150, 50); 
    GreenfootImage img2_4 = new GreenfootImage(150, 50); 
    GreenfootImage img2_5 = new GreenfootImage(150, 50); 
    
    // level 3
    GreenfootImage img3_1 = new GreenfootImage(150, 50); 
    GreenfootImage img3_2 = new GreenfootImage(150, 50); 
    GreenfootImage img3_3 = new GreenfootImage(150, 50); 
    GreenfootImage img3_4 = new GreenfootImage(150, 50); 
    GreenfootImage img3_5 = new GreenfootImage(150, 50); 
    
    // level 4
    GreenfootImage img4_1 = new GreenfootImage(150, 50); 
    GreenfootImage img4_2 = new GreenfootImage(150, 50); 
    GreenfootImage img4_3 = new GreenfootImage(150, 50); 
    GreenfootImage img4_4 = new GreenfootImage(150, 50); 
    GreenfootImage img4_5 = new GreenfootImage(150, 50); 
    
    // level 5
    GreenfootImage img5_1 = new GreenfootImage(150, 50); 
    GreenfootImage img5_2 = new GreenfootImage(150, 50); 
    GreenfootImage img5_3 = new GreenfootImage(150, 50); 
    GreenfootImage img5_4 = new GreenfootImage(150, 50); 
    GreenfootImage img5_5 = new GreenfootImage(150, 50); 
    
    GreenfootImage win = new GreenfootImage(150, 50); // for correct answer
    GreenfootImage lose = new GreenfootImage(150, 50); // for wrong answer
    
    /**
     * addedToWorld - allows class to access world variables
     */
    public void addedToWorld(World world) 
    {
        mworld = (myWorld) world;  
    } // end addedToWorld
    
    /**
     * puzzle - class constructor. Sets up each image with the necessary color/size/string
     */
    public puzzle()
    {
        img0.setTransparency(0);
        
        // LEVEL 1
        img1_1.setColor(Color.BLACK);
        img1_1.fillRect(5, 5, img1_1.getWidth()-1, img1_1.getHeight()-1);
        img1_1.setColor(Color.WHITE);
        img1_1.drawString("35 + ? = 48", 20, 20);
        img1_2.setColor(Color.BLACK);
        img1_2.fillRect(5, 5, img1_2.getWidth()-1, img1_2.getHeight()-1);
        img1_2.setColor(Color.WHITE);
        img1_2.drawString("-9 - 3 - 8 + 3 + 9 = ?", 20, 20);
        img1_3.setColor(Color.BLACK);
        img1_3.fillRect(5, 5, img1_3.getWidth()-1, img1_3.getHeight()-1);
        img1_3.setColor(Color.WHITE);
        img1_3.drawString("Which is larger?", 20, 20);
        
        // LEVEL 2
        img2_1.setColor(Color.BLACK);
        img2_1.fillRect(5, 5, img2_1.getWidth()-1, img2_1.getHeight()-1);
        img2_1.setColor(Color.WHITE);
        img2_1.drawString("Find the noun:", 20, 20);
        img2_2.setColor(Color.BLACK);
        img2_2.fillRect(5, 5, img2_2.getWidth()-1, img2_2.getHeight()-1);
        img2_2.setColor(Color.WHITE);
        img2_2.drawString("Which is plural?", 20, 20);
        img2_3.setColor(Color.BLACK);
        img2_3.fillRect(5, 5, img2_3.getWidth()-1, img2_3.getHeight()-1);
        img2_3.setColor(Color.WHITE);
        img2_3.drawString("What is the antonym ", 20, 20);  
        img2_3.drawString("of gracious?", 20, 35);  
        img2_4.setColor(Color.BLACK);
        img2_4.fillRect(5, 5, img2_4.getWidth()-1, img2_4.getHeight()-1);
        img2_4.setColor(Color.WHITE);
        img2_4.drawString("Which is the", 20, 20);  
        img2_4.drawString("ampersand?", 20, 35);  
        img2_5.setColor(Color.BLACK);
        img2_5.fillRect(5, 5, img2_5.getWidth()-1, img2_5.getHeight()-1);
        img2_5.setColor(Color.WHITE);
        img2_5.drawString("Find the two pronouns:", 20, 20);
        
        // LEVEL 3
        img3_1.setColor(Color.BLACK);
        img3_1.fillRect(5, 5, img3_1.getWidth()-1, img3_1.getHeight()-1);
        img3_1.setColor(Color.WHITE);
        img3_1.drawString("Which is the", 20, 20);  
        img3_1.drawString("smaller continent?", 20, 35);  
        img3_2.setColor(Color.BLACK);
        img3_2.fillRect(5, 5, img3_2.getWidth()-1, img3_2.getHeight()-1);
        img3_2.setColor(Color.WHITE);
        img3_2.drawString("Which state borders", 20, 20);
        img3_2.drawString("Kentucky?", 20, 35);
        img3_3.setColor(Color.BLACK);
        img3_3.fillRect(5, 5, img3_3.getWidth()-1, img3_3.getHeight()-1);
        img3_3.setColor(Color.WHITE);
        img3_3.drawString("Which country is", 20, 20);  
        img3_3.drawString("in South America?", 20, 35);  
        img3_4.setColor(Color.BLACK);
        img3_4.fillRect(5, 5, img3_4.getWidth()-1, img3_4.getHeight()-1);
        img3_4.setColor(Color.WHITE);
        img3_4.drawString("Where are the ", 20, 20);  
        img3_4.drawString("Himalayas located?", 20, 35);  
        //img3_4.drawString("water?", 20, 50);  
        /*img3_5.setColor(Color.BLACK);
        img3_5.fillRect(5, 5, img3_5.getWidth()-1, img3_5.getHeight()-1);
        img3_5.setColor(Color.WHITE);
        img3_5.drawString("What is 12 x 3?", 20, 20);*/
        
        // LEVEL 4
        img4_1.setColor(Color.BLACK);
        img4_1.fillRect(5, 5, img4_1.getWidth()-1, img4_1.getHeight()-1);
        img4_1.setColor(Color.WHITE);
        img4_1.drawString("Which is faster?", 20, 20);  
        img4_2.setColor(Color.BLACK);
        img4_2.fillRect(5, 5, img4_2.getWidth()-1, img4_2.getHeight()-1);
        img4_2.setColor(Color.WHITE);
        img4_2.drawString("Center of positive", 20, 20);
        img4_2.drawString("charge in an atom?", 20, 35);
        img4_3.setColor(Color.BLACK);
        img4_3.fillRect(5, 5, img4_3.getWidth()-1, img4_3.getHeight()-1);
        img4_3.setColor(Color.WHITE);
        img4_3.drawString("Longest bone in", 20, 20);  
        img4_3.drawString("the human body?", 20, 35);  
        img4_4.setColor(Color.BLACK);
        img4_4.fillRect(5, 5, img4_4.getWidth()-1, img4_4.getHeight()-1);
        img4_4.setColor(Color.WHITE);
        img4_4.drawString("Who was the first man", 20, 20);  
        img4_4.drawString("in outer space?", 20, 35);  
        /*img4_5.setColor(Color.BLACK);
        img4_5.fillRect(5, 5, img4_5.getWidth()-1, img4_5.getHeight()-1);
        img4_5.setColor(Color.WHITE);
        img4_5.drawString("What is 12 x 3?", 20, 20);*/
        /*
        // LEVEL 5
        img5_1.setColor(Color.BLACK);
        img5_1.fillRect(5, 5, img5_1.getWidth()-1, img5_1.getHeight()-1);
        img5_1.setColor(Color.WHITE);
        img5_1.drawString("What is 12 x 3?", 20, 20);  
        img5_2.setColor(Color.BLACK);
        img5_2.fillRect(5, 5, img5_2.getWidth()-1, img5_2.getHeight()-1);
        img5_2.setColor(Color.WHITE);
        img5_2.drawString("What is 12 x 3?", 20, 20);
        img5_3.setColor(Color.BLACK);
        img5_3.fillRect(5, 5, img5_3.getWidth()-1, img5_3.getHeight()-1);
        img5_3.setColor(Color.WHITE);
        img5_3.drawString("What is 12 x 3?", 20, 20);  
        img5_4.setColor(Color.BLACK);
        img5_4.fillRect(5, 5, img5_4.getWidth()-1, img5_4.getHeight()-1);
        img5_4.setColor(Color.WHITE);
        img5_4.drawString("What is 12 x 3?", 20, 20);  
        img5_5.setColor(Color.BLACK);
        img5_5.fillRect(5, 5, img5_5.getWidth()-1, img5_5.getHeight()-1);
        img5_5.setColor(Color.WHITE);
        img5_5.drawString("What is 12 x 3?", 20, 20);
        */
        win.setColor(Color.BLACK);
        win.fillRect(5, 5, win.getWidth()-1, win.getHeight()-1);
        win.setColor(Color.WHITE);
        win.drawString("CORRECT!!!", 20, 20);
        
        lose.setColor(Color.BLACK);
        lose.fillRect(5, 5, lose.getWidth()-1, lose.getHeight()-1);
        lose.setColor(Color.WHITE);
        lose.drawString("WRONG! TRY AGAIN", 20, 20);
        
        setImage(img0); // sets image to default, which is invisible
    }
    
    /**
     * Act - do whatever the puzzle wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkStatus();           
    }    
    
    /**
     * checkStatus - displays a message based on whether or not 
     * the player guessed a right or wrong answer
     */
    private void checkStatus()
    {
        if (mworld.puzzle == true)
        {
            initiatePuzzle();
        }
        
        // correct answer
        if (mworld.correct == 1)
        {
            setImage(win);
            Greenfoot.delay(40);
            setImage(img0);
            mworld.correct = 0;
            mworld.puzzle = false;
            mworld.currentQuestion += 1;
        }
        
        // wrong answer
        if (mworld.correct == 2)
        {
            setImage(lose);
            Greenfoot.delay(40);
            mworld.correct = 0;
        }
    } // end checkstatus

    /**
     * initiatePuzzle - displays the appropriate question when called to do so
     */
    private void initiatePuzzle()
    {
        if (mworld.level == 1)
        {
            // starts on question #1
            if (mworld.currentQuestion == 1)
            {
                setImage(img1_1);
            }
        
            // starts on question #2
            if (mworld.currentQuestion == 2)
            {
                setImage(img1_2);
            }
        
            // starts on question #3
            if (mworld.currentQuestion == 3)
            {
                setImage(img1_3);
            }
        }
        
        if (mworld.level == 2)
        {
            if (mworld.currentQuestion == 1)
            {
                setImage(img2_1);
            }
        
            if (mworld.currentQuestion == 2)
            {
                setImage(img2_2);
            }
            
            if (mworld.currentQuestion == 3)
            {
                setImage(img2_3);
            }
            
            if (mworld.currentQuestion == 4)
            {
                setImage(img2_4);
            }
            
            if (mworld.currentQuestion == 5)
            {
                setImage(img2_5);
            }
        }
        
        if (mworld.level == 3)
        {
            if (mworld.currentQuestion == 1)
            {
                setImage(img3_1);
            }
        
            if (mworld.currentQuestion == 2)
            {
                setImage(img3_2);
            }
            
            if (mworld.currentQuestion == 3)
            {
                setImage(img3_3);
            }
            
            if (mworld.currentQuestion == 4)
            {
                setImage(img3_4);
            }
            
            if (mworld.currentQuestion == 5)
            {
                setImage(img3_5);
            }
        }
        
        if (mworld.level == 4)
        {
            if (mworld.currentQuestion == 1)
            {
                setImage(img4_1);
            }
        
            if (mworld.currentQuestion == 2)
            {
                setImage(img4_2);
            }
            
            if (mworld.currentQuestion == 3)
            {
                setImage(img4_3);
            }
            
            if (mworld.currentQuestion == 4)
            {
                setImage(img4_4);
            }
            
            if (mworld.currentQuestion == 5)
            {
                setImage(img4_5);
            }
        }
        
        if (mworld.level == 5)
        {
            if (mworld.currentQuestion == 1)
            {
                setImage(img5_1);
            }
        
            if (mworld.currentQuestion == 2)
            {
                setImage(img5_2);
            }
            
            if (mworld.currentQuestion == 3)
            {
                setImage(img5_3);
            }
            
            if (mworld.currentQuestion == 4)
            {
                setImage(img5_4);
            }
            
            if (mworld.currentQuestion == 5)
            {
                setImage(img5_5);
            }
        }
    } // end initiate puzzle
}
