import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Displays a "you win" background when the player wins
 * 
 * @author Priya, Alex, Venkata
 * @version 1.0
 */
public class win  extends levels
{
    private myWorld mworld;
    private GreenfootImage bg;
    private GreenfootImage book;
    private GreenfootImage book2;
    
    /**
     * win - class constructor
     */
    public win()
    {
        bg = new GreenfootImage("win.png");
        book = new GreenfootImage("foundBook4.png");
        book2 = new GreenfootImage("foundBook5.png");
    }
    
    /**
     * addedToWorld - allows class to access world variables
     */
    public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
        if (mworld.level == 5)
        {
            mworld.setBackground(book);
            Greenfoot.delay(150);
            mworld.setBackground(book2);
            Greenfoot.delay(200);
            mworld.setBackground(bg);
        }
        getImage().setTransparency(0);
    }
    
    /**
     * Act - do whatever the win wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        Greenfoot.stop();
    }    
}
