import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This class is to set up level 2 of the game
 * 
 * @author Priya, Alex, Venkata
 * @version 1.0
 */
public class level2  extends levels
{
    private myWorld mworld;
    private GreenfootImage bg;
    private GreenfootImage book;
    
    /**
     * level2 - class constructor
     */
    public level2()
    {
        bg = new GreenfootImage("city.png");
        book = new GreenfootImage("foundBook1.png");
    }
    
    /**
     * addedToWorld - allows class to access world variables
     * Also sets default background image immedately upon being added
     * to the world
     */
    public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
        if (mworld.level == 2)
        {
            mworld.setBackground(book);
            Greenfoot.delay(150);
            mworld.setBackground(bg);
        }
        getImage().setTransparency(0);
    }

    /**
     * Act - do whatever the level2 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    }    
}
