import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This class is to set up level 4 of the game
 * 
 * @author Priya, Alex, Venkata
 * @version 1.0
 */
public class level4  extends levels
{
    private myWorld mworld;
    private GreenfootImage bg;
    private GreenfootImage book;
    
    /**
     * level4 - class constructor
     */
    public level4()
    {
        bg = new GreenfootImage("underwater.png");    
        book = new GreenfootImage("foundBook3.png");
    }
    
    /**
     * addedToWorld - allows class to access world variables
     * Also sets default background image immedately upon being added
     * to the world
     */
     public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
        if (mworld.level == 4)
        {
            mworld.setBackground(book);
            Greenfoot.delay(150);
            mworld.setBackground(bg);
        }
        getImage().setTransparency(0);
    }
    
    /**
     * Act - do whatever the level4 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        
    }
}
